``` bash
$ git clone https://github.com/johnearnest/ok.git
$ cd ok
$ cp $HAPPYBOT/ok/* ./
$ cat oK.js appendoK.js > ircoK.js
```

Now use `ircrepl.js` for a repl.

---

Differences and similarities with ok:

- `0:` reads from a URL.
- `1:` does the same, but decodes json.
- Has trig functions! `sin, cos, tan, asin, acos, atan, sinh, cosh, tanh, tanh2`
- Has other functions! `abs, pow`
- Supports `n\n`.
- Has whatever's in the [okrc](https://zgrep.org/taxreturns/okrc.txt) as a thing by default too.
- `2+2` is 5 (unless it's within some other computation, I'm not that mean).
- Some useful "commands":
    - `reset` resets variables and stuff.
    - `manual` links to [this manual](https://github.com/JohnEarnest/ok/blob/gh-pages/docs/Manual.md).
    - `reference` or `ref` links to http://kparc.com/k.txt
    - `okrc` or `rc` links to the okrc file.
